curl --request POST \
--url https://api.quidkey.com/v1/merchants/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "payment",
"amount": {
"value": 5000000,
"currency": "<string>"
},
"order": {
"order_id": "<string>"
},
"customer_details": {
"full_name": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"phone": "<string>",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"region": "<string>"
}
},
"statement_descriptor": "<string>",
"authorization": {
"method": "checkout",
"success_url": "<string>",
"failure_url": "<string>",
"locale": "en"
},
"is_test": false,
"webhook_endpoints": [
{
"id": "<string>",
"_link": "<string>",
"_type": "webhook_endpoint"
}
]
}
'import requests
url = "https://api.quidkey.com/v1/merchants/{id}/transactions"
payload = {
"type": "payment",
"amount": {
"value": 5000000,
"currency": "<string>"
},
"order": { "order_id": "<string>" },
"customer_details": {
"full_name": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"phone": "<string>",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"region": "<string>"
}
},
"statement_descriptor": "<string>",
"authorization": {
"method": "checkout",
"success_url": "<string>",
"failure_url": "<string>",
"locale": "en"
},
"is_test": False,
"webhook_endpoints": [
{
"id": "<string>",
"_link": "<string>",
"_type": "webhook_endpoint"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'payment',
amount: {value: 5000000, currency: '<string>'},
order: {order_id: '<string>'},
customer_details: {
full_name: '<string>',
email: 'jsmith@example.com',
country: '<string>',
phone: '<string>',
billing_address: {
line1: '<string>',
city: '<string>',
country: '<string>',
postal_code: '<string>',
line2: '<string>',
region: '<string>'
}
},
statement_descriptor: '<string>',
authorization: {
method: 'checkout',
success_url: '<string>',
failure_url: '<string>',
locale: 'en'
},
is_test: false,
webhook_endpoints: [{id: '<string>', _link: '<string>', _type: 'webhook_endpoint'}]
})
};
fetch('https://api.quidkey.com/v1/merchants/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/merchants/{id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'payment',
'amount' => [
'value' => 5000000,
'currency' => '<string>'
],
'order' => [
'order_id' => '<string>'
],
'customer_details' => [
'full_name' => '<string>',
'email' => 'jsmith@example.com',
'country' => '<string>',
'phone' => '<string>',
'billing_address' => [
'line1' => '<string>',
'city' => '<string>',
'country' => '<string>',
'postal_code' => '<string>',
'line2' => '<string>',
'region' => '<string>'
]
],
'statement_descriptor' => '<string>',
'authorization' => [
'method' => 'checkout',
'success_url' => '<string>',
'failure_url' => '<string>',
'locale' => 'en'
],
'is_test' => false,
'webhook_endpoints' => [
[
'id' => '<string>',
'_link' => '<string>',
'_type' => 'webhook_endpoint'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/merchants/{id}/transactions"
payload := strings.NewReader("{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quidkey.com/v1/merchants/{id}/transactions")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/merchants/{id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"result": {
"_type": "transaction",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "payment",
"is_test": true,
"transaction_number": "<string>",
"status": "pending",
"reason": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"required_actions": [
{
"code": "<string>",
"message": "<string>",
"actor": "api",
"target": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"fields": [
"<string>"
],
"hosted_link": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"payout_amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"exchange_rate": {
"rate": "<string>",
"from_currency": "<string>",
"to_currency": "<string>"
},
"fees": {
"total": {
"value": 4503599627370495,
"currency": "<string>"
},
"items": [
{
"type": "percentage",
"amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"tax_amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"rate": "<string>",
"status": "pending",
"settled_at": "2023-11-07T05:31:56Z"
}
]
},
"routing": "virtual_account",
"refund_status": "refunding",
"can_refund": true,
"order": {
"order_id": "<string>"
},
"rewards": {
"extra_rewards": "<string>",
"total_rewards": "<string>",
"description": "<string>"
},
"reported_statement_descriptor": "<string>",
"platform": "api",
"merchant": {
"_link": "<string>",
"_type": "merchant",
"id": "<string>"
},
"customer_details": {
"_link": "<string>",
"_type": "customer_details",
"id": "<string>"
},
"parent_transaction": {
"_link": "<string>",
"_type": "transaction",
"id": "<string>"
},
"refunds": {
"_link": "<string>",
"_type": "collection"
},
"reversals": [
{
"_link": "<string>",
"_type": "transaction",
"id": "<string>"
}
],
"payout": {
"_link": "<string>",
"_type": "payout",
"id": "<string>"
},
"checkout": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
},
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}Create a payment transaction
Creates a payment transaction for one customer, and answers with the one-time checkout, the hosted page that sends them to pay. A retry with the same key leaves it out: :issueCheckout recovers it. A request sent once can be answered the same way, if a dropped connection lost its first answer. MERCHANT_CANNOT_TAKE_PAYMENT means the merchant can’t take a payment transaction in this currency from a customer in this country: it isn’t set up for one yet, or such a payment transaction can’t be routed to its receiving account.
Credentials: partner, merchant
Permission: transactions:create
curl --request POST \
--url https://api.quidkey.com/v1/merchants/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "payment",
"amount": {
"value": 5000000,
"currency": "<string>"
},
"order": {
"order_id": "<string>"
},
"customer_details": {
"full_name": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"phone": "<string>",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"region": "<string>"
}
},
"statement_descriptor": "<string>",
"authorization": {
"method": "checkout",
"success_url": "<string>",
"failure_url": "<string>",
"locale": "en"
},
"is_test": false,
"webhook_endpoints": [
{
"id": "<string>",
"_link": "<string>",
"_type": "webhook_endpoint"
}
]
}
'import requests
url = "https://api.quidkey.com/v1/merchants/{id}/transactions"
payload = {
"type": "payment",
"amount": {
"value": 5000000,
"currency": "<string>"
},
"order": { "order_id": "<string>" },
"customer_details": {
"full_name": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"phone": "<string>",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"region": "<string>"
}
},
"statement_descriptor": "<string>",
"authorization": {
"method": "checkout",
"success_url": "<string>",
"failure_url": "<string>",
"locale": "en"
},
"is_test": False,
"webhook_endpoints": [
{
"id": "<string>",
"_link": "<string>",
"_type": "webhook_endpoint"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'payment',
amount: {value: 5000000, currency: '<string>'},
order: {order_id: '<string>'},
customer_details: {
full_name: '<string>',
email: 'jsmith@example.com',
country: '<string>',
phone: '<string>',
billing_address: {
line1: '<string>',
city: '<string>',
country: '<string>',
postal_code: '<string>',
line2: '<string>',
region: '<string>'
}
},
statement_descriptor: '<string>',
authorization: {
method: 'checkout',
success_url: '<string>',
failure_url: '<string>',
locale: 'en'
},
is_test: false,
webhook_endpoints: [{id: '<string>', _link: '<string>', _type: 'webhook_endpoint'}]
})
};
fetch('https://api.quidkey.com/v1/merchants/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/merchants/{id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'payment',
'amount' => [
'value' => 5000000,
'currency' => '<string>'
],
'order' => [
'order_id' => '<string>'
],
'customer_details' => [
'full_name' => '<string>',
'email' => 'jsmith@example.com',
'country' => '<string>',
'phone' => '<string>',
'billing_address' => [
'line1' => '<string>',
'city' => '<string>',
'country' => '<string>',
'postal_code' => '<string>',
'line2' => '<string>',
'region' => '<string>'
]
],
'statement_descriptor' => '<string>',
'authorization' => [
'method' => 'checkout',
'success_url' => '<string>',
'failure_url' => '<string>',
'locale' => 'en'
],
'is_test' => false,
'webhook_endpoints' => [
[
'id' => '<string>',
'_link' => '<string>',
'_type' => 'webhook_endpoint'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/merchants/{id}/transactions"
payload := strings.NewReader("{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quidkey.com/v1/merchants/{id}/transactions")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/merchants/{id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"payment\",\n \"amount\": {\n \"value\": 5000000,\n \"currency\": \"<string>\"\n },\n \"order\": {\n \"order_id\": \"<string>\"\n },\n \"customer_details\": {\n \"full_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"phone\": \"<string>\",\n \"billing_address\": {\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"line2\": \"<string>\",\n \"region\": \"<string>\"\n }\n },\n \"statement_descriptor\": \"<string>\",\n \"authorization\": {\n \"method\": \"checkout\",\n \"success_url\": \"<string>\",\n \"failure_url\": \"<string>\",\n \"locale\": \"en\"\n },\n \"is_test\": false,\n \"webhook_endpoints\": [\n {\n \"id\": \"<string>\",\n \"_link\": \"<string>\",\n \"_type\": \"webhook_endpoint\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"result": {
"_type": "transaction",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "payment",
"is_test": true,
"transaction_number": "<string>",
"status": "pending",
"reason": "<string>",
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"required_actions": [
{
"code": "<string>",
"message": "<string>",
"actor": "api",
"target": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"fields": [
"<string>"
],
"hosted_link": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"payout_amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"exchange_rate": {
"rate": "<string>",
"from_currency": "<string>",
"to_currency": "<string>"
},
"fees": {
"total": {
"value": 4503599627370495,
"currency": "<string>"
},
"items": [
{
"type": "percentage",
"amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"tax_amount": {
"value": 4503599627370495,
"currency": "<string>"
},
"rate": "<string>",
"status": "pending",
"settled_at": "2023-11-07T05:31:56Z"
}
]
},
"routing": "virtual_account",
"refund_status": "refunding",
"can_refund": true,
"order": {
"order_id": "<string>"
},
"rewards": {
"extra_rewards": "<string>",
"total_rewards": "<string>",
"description": "<string>"
},
"reported_statement_descriptor": "<string>",
"platform": "api",
"merchant": {
"_link": "<string>",
"_type": "merchant",
"id": "<string>"
},
"customer_details": {
"_link": "<string>",
"_type": "customer_details",
"id": "<string>"
},
"parent_transaction": {
"_link": "<string>",
"_type": "transaction",
"id": "<string>"
},
"refunds": {
"_link": "<string>",
"_type": "collection"
},
"reversals": [
{
"_link": "<string>",
"_type": "transaction",
"id": "<string>"
}
],
"payout": {
"_link": "<string>",
"_type": "payout",
"id": "<string>"
},
"checkout": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
},
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}Authorizations
Headers
1 to 255 printable ASCII characters with no spaces, quotes or backslashes, in double quotes as the IETF draft defines, or without them. We recommend a UUID. Make one for each thing you mean to happen once and store it before you send the request, so a retry after a crash sends the same key. Keys are scoped to your account and the endpoint, not to a token, so a new token or a rotated secret doesn't affect a retry. A partner and its merchant are separate accounts, so the same key sent with each credential starts two requests. Keys are kept for at least 7 days. After that, the same key starts a new request.
1 - 257^(?:([\x21\x23-\x5B\x5D-\x7E]{1,255})|"([\x21\x23-\x5B\x5D-\x7E]{1,255})")$